Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.database
Class PrologTextLoader

    java.lang.Object
      gnu.prolog.database.PrologTextLoader

    public class PrologTextLoader

extends Object

Processes prolog files adding the new predicates listed within them and processing directives.

See Also:
  `all the PrologTextLoader's for an {@link gnu.prolog.vm.Environment Environment} use the same instance of PrologTextLoaderState to store the collective state.`

Field Summary
`static CompoundTermTag` | `build_inTag`
`static CompoundTermTag` | `char_conversionTag`
`static CompoundTermTag` | `controlTag`
`protected String` | `currentFile` current file
`protected TermReader` | `currentReader` current term reader
`static CompoundTermTag` | `discontiguousTag`
`static CompoundTermTag` | `dynamicTag`
`static CompoundTermTag` | `ensure_loadedTag`
`static CompoundTermTag` | `externalTag`
`static CompoundTermTag` | `file1Tag`
`protected Stack<String>` | `fileStack` stack of previous files
`static CompoundTermTag` | `includeTag`
`static CompoundTermTag` | `initializationTag`
`static CompoundTermTag` | `multifileTag`
`protected OperatorSet` | `operatorSet` operator set
`static CompoundTermTag` | `opTag`
`protected PrologTextLoaderState` | `prologTextLoaderState` prolog text loader state
`protected Stack<TermReader>` | `readerStack` stack of previous readers
`static CompoundTermTag` | `resource1Tag`
`protected String` | `rootFile` root file
`static CompoundTermTag` | `set_prolog_flagTag`
`static CompoundTermTag` | `url1Tag`

Constructor Summary
`protected` | `PrologTextLoader(PrologTextLoaderState prologTextLoaderState)`
`` | `PrologTextLoader(PrologTextLoaderState prologTextLoaderState, Reader stream)`
`` | `PrologTextLoader(PrologTextLoaderState prologTextLoaderState, Reader stream, String streamName)`
`` | `PrologTextLoader(PrologTextLoaderState prologTextLoaderState, Term root)`

Method Summary
`int` | `getCurrentColumn()`
`String` | `getCurrentFile()`
`int` | `getCurrentLine()`
`PrologTextLoaderError` | `getCurrentPartialLoaderError()` Get a PrologTextLoaderError for the position the PrologTextLoader is at to use later if something goes wrong caused by an error here.
`PrologTextLoaderState` | `getPrologTextLoaderState()`
`void` | `logError(ParseException ex)`
`void` | `logError(String message)`
`protected void` | `processBuildInDirective(Term pi, Term className)`
`protected void` | `processCharConversionDirective(Term from, Term to)`
`protected void` | `processClause(Term argument)`
`protected void` | `processControlDirective(Term pi, Term className)`
`protected void` | `processDiscontiguousDirective(Term pi)`
`protected void` | `processDynamicDirective(Term pi)`
`protected void` | `processEnsureLoadedDirective(Term argument)`
`protected void` | `processEof()`
`protected void` | `processExternalDirective(Term pi, Term className)`
`protected void` | `processFile()`
`protected void` | `processIncludeDirective(Term argument)`
`protected void` | `processInitializationDirective(Term term)`
`protected void` | `processMultifileDirective(Term pi)`
`protected void` | `processOpDirective(Term priority, Term specifier, Term operatorAtom)`
`protected void` | `processSetPrologFlagDirective(Term arg0, Term arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rootFile

    protected String rootFile

  root file

### currentFile

    protected String currentFile

  current file

### currentReader

    protected TermReader currentReader

  current term reader

### readerStack

    protected Stack<TermReader> readerStack

  stack of previous readers

### fileStack

    protected Stack<String> fileStack

  stack of previous files

### operatorSet

    protected OperatorSet operatorSet

  operator set

### prologTextLoaderState

    protected PrologTextLoaderState prologTextLoaderState

  prolog text loader state

### includeTag

    public static final CompoundTermTag includeTag

### multifileTag

    public static final CompoundTermTag multifileTag

### dynamicTag

    public static final CompoundTermTag dynamicTag

### discontiguousTag

    public static final CompoundTermTag discontiguousTag

### opTag

    public static final CompoundTermTag opTag

### char_conversionTag

    public static final CompoundTermTag char_conversionTag

### initializationTag

    public static final CompoundTermTag initializationTag

### ensure_loadedTag

    public static final CompoundTermTag ensure_loadedTag

### set_prolog_flagTag

    public static final CompoundTermTag set_prolog_flagTag

### externalTag

    public static final CompoundTermTag externalTag

### build_inTag

    public static final CompoundTermTag build_inTag

### controlTag

    public static final CompoundTermTag controlTag

### url1Tag

    public static final CompoundTermTag url1Tag

### resource1Tag

    public static final CompoundTermTag resource1Tag

### file1Tag

    public static final CompoundTermTag file1Tag

Constructor Detail

### PrologTextLoader

    protected PrologTextLoader(PrologTextLoaderState prologTextLoaderState)

### PrologTextLoader

    public PrologTextLoader(PrologTextLoaderState prologTextLoaderState,
                            Term root)

### PrologTextLoader

    public PrologTextLoader(PrologTextLoaderState prologTextLoaderState,
                            Reader stream)

Parameters:
  `prologTextLoaderState` -
  `stream` - the input stream to read from.

### PrologTextLoader

    public PrologTextLoader(PrologTextLoaderState prologTextLoaderState,
                            Reader stream,
                            String streamName)

Parameters:
  `prologTextLoaderState` -
  `stream` -
  `streamName` - The stream name

Method Detail

### getCurrentFile

    public String getCurrentFile()

### getCurrentLine

    public int getCurrentLine()

### getCurrentColumn

    public int getCurrentColumn()

### getCurrentPartialLoaderError

    public PrologTextLoaderError getCurrentPartialLoaderError()

  Get a PrologTextLoaderError for the position the PrologTextLoader is at to use later if something goes wrong caused by an error here. The message is null. This is mainly intended for use during initialisation.

  Returns:
    a partially filled in PrologTextLoaderError (missing a message)
  See Also:
    `PrologTextLoaderState.addInitialization(PrologTextLoader,Term)`

### getPrologTextLoaderState

    public PrologTextLoaderState getPrologTextLoaderState()

  Returns:
    the prologTextLoaderState

### processFile

    protected void processFile()

### processSetPrologFlagDirective

    protected void processSetPrologFlagDirective(Term arg0,
                                                 Term arg1)

### processBuildInDirective

    protected void processBuildInDirective(Term pi,
                                           Term className)

### processControlDirective

    protected void processControlDirective(Term pi,
                                           Term className)

### processExternalDirective

    protected void processExternalDirective(Term pi,
                                            Term className)

### processInitializationDirective

    protected void processInitializationDirective(Term term)

### processCharConversionDirective

    protected void processCharConversionDirective(Term from,
                                                  Term to)

### processOpDirective

    protected void processOpDirective(Term priority,
                                      Term specifier,
                                      Term operatorAtom)

### processDiscontiguousDirective

    protected void processDiscontiguousDirective(Term pi)

### processMultifileDirective

    protected void processMultifileDirective(Term pi)

### processDynamicDirective

    protected void processDynamicDirective(Term pi)

### processClause

    protected void processClause(Term argument)

### processIncludeDirective

    protected void processIncludeDirective(Term argument)

### processEnsureLoadedDirective

    protected void processEnsureLoadedDirective(Term argument)

### processEof

    protected void processEof()

### logError

    public void logError(String message)

### logError

    public void logError(ParseException ex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD